<?php
/*
  $Id: install_2.php,v 1.1.1.1 2005/06/30 05:04:24 ryu Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
  
  modified for Koshoten.net2
  http://www.koshoten.net/
*/
?>
<p><span class="pageHeading">Koshoten.net2インストール</span><br><font color="#9a9a9a">powered by osCommerce</font></p>

<p class="pageTitle">新規インストール</p>

<p><b>Step 1: データベース・インポート</b></p>

<?php
  if (osc_in_array('database', $_POST['install'])) {
    $db = array();
    $db['DB_SERVER'] = trim(stripslashes($_POST['DB_SERVER']));
    $db['DB_SERVER_USERNAME'] = trim(stripslashes($_POST['DB_SERVER_USERNAME']));
    $db['DB_SERVER_PASSWORD'] = trim(stripslashes($_POST['DB_SERVER_PASSWORD']));
    $db['DB_DATABASE'] = trim(stripslashes($_POST['DB_DATABASE']));

    $db_error = false;
    osc_db_connect($db['DB_SERVER'], $db['DB_SERVER_USERNAME'], $db['DB_SERVER_PASSWORD']);

    if (!$db_error) {
      osc_db_test_create_db_permission($db['DB_DATABASE']);
    }

    if ($db_error) {
?>

<p>データベースへの接続テストが失敗しました。</p>

<p>エラー・メッセージ:</p>

<p class="boxme"><?php echo $db_error; ?></p>

<p><i>Back</i> をクリックして、データベース・サーバの設定を見直してください。</p>

<p>データベース・サーバの設定が分らない場合は、管理者やホスティングの提供先に問い合わせてください。</p>

<form name="install" action="install.php" method="post">

<?php
      reset($_POST);
      while (list($key, $value) = each($_POST)) {
        if ($key != 'x' && $key != 'y') {
          if (is_array($value)) {
            for ($i=0; $i<sizeof($value); $i++) {
              echo osc_draw_hidden_field($key . '[]', $value[$i]);
            }
          } else {
            echo osc_draw_hidden_field($key, $value);
          }
        }
      }
?>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="キャンセル"></a></td>
    <td align="center"><input type="image" src="images/button_back.gif" border="0" alt="戻る"></td>
  </tr>
</table>

</form>
<?php
    } else {
?>

<p>データベースへの接続テストが成功しました。</p>

<p>次のインストール・プロセスに進んで、データベースのインポート処理を実行してください。</p>

<p>この処理は決して中断しないでください。もし中断してしまうと、データベースの内容が壊れてしまいます。</p>

<p>インポートするファイルの置かれている場所と名前:<b><?php echo $_POST['DIR_FS_DOCUMENT_ROOT'] . $_POST['DIR_FS_CATALOG'] . 'install/oscommerce.sql'; ?></b>.</p>

<form name="install" action="install.php?step=3" method="post">

<?php
      reset($_POST);
      while (list($key, $value) = each($_POST)) {
        if ($key != 'x' && $key != 'y') {
          if (is_array($value)) {
            for ($i=0; $i<sizeof($value); $i++) {
              echo osc_draw_hidden_field($key . '[]', $value[$i]);
            }
          } else {
            echo osc_draw_hidden_field($key, $value);
          }
        }
      }
?>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="キャンセル"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="次へ"></td>
  </tr>
</table>

</form>


<?php
    }
  }
?>